Description

In QGIS 2.99.0 modeler there is a new input type called 'Feature Source', what does, what 'Vector Layer' did in previous versions ([[

https://gis.stackexchange.com/questions/252373/qgis-2-99-0-149-modeler-inputs-feature-source-vs-vector-layer]]).

In previous versions QGIS modeler algorithm inputs did restrict the list of selectable input layers to valid shape types (e.g. a polygon input

and a point input in 'Count points in polygon' algorithm). QGIS 2.99.0 lacks this behaviour at this point, so it would be possible to pass a

point input layer to an algorithm where a polygon layer is expected (and vice versa, cp. attached screeshot).

Associated revisions

Revision 7d69e5f5 - 2017-08-18 07:36 PM - Nyall Dawson

Expose all layer type filters to both model feature source, vector

layer and multi layer inputs

Refs #17030

Revision cb70aad7 - 2017-08-23 09:34 AM - Nyall Dawson

Fix restricting model algorithm input types to valid types for alg (refs #17030)

History

#1 - 2017-08-17 01:56 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-08-18 02:36 PM - Etienne Trimaille

I agree, it's very confusing this new terminology. It would be nice to have some documentations.

#3 - 2017-08-21 10:40 AM - Jochen Schwarze

So with exposing all layer type filters vector layer input (2.99.0-151), we can use either feature source or vector layer as algorithm input. Obviously they are

treated the same, which can be confusing (cp. gis.se question referred to above), Why this distinction?

#4 - 2017-09-11 11:44 AM - Jochen Schwarze

- Status changed from Open to Closed
Set to closed, tested with 2.99.0-166

#5 - 2017-09-11 06:01 PM - Giovanni Manghi

- Resolution set to fixed/implemented
